package com.hzya.frame.plugin.masterData.plugin;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.base.PluginBaseEntity;
import com.hzya.frame.sysnew.comparison.masterData.service.IMasterDataService;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 主数据同步
 *
 * @author makejava
 * @since 2024-06-21 13:52:35
 */
public class MdmPluginInitializer extends PluginBaseEntity{
    Logger logger = LoggerFactory.getLogger(MdmPluginInitializer.class);
    @Autowired
    private IMasterDataService masterDataService;

      @Override
    public void initialize() {
        logger.info(getPluginLabel() + "執行初始化方法initialize()");
    }

    @Override
    public void destroy() {
        logger.info(getPluginLabel() + "執行銷毀方法destroy()");
    }

    @Override
    public String getPluginId() {
        return "MdmCustomerPlugin";
    }

    @Override
    public String getPluginName() {
        return "MdmCustomerPlugin插件";
    }

    @Override
    public String getPluginLabel() {
        return "MdmCustomerPlugin";
    }

    @Override
    public String getPluginType() {
        return "1";
    }
    @Override
    public JsonResultEntity executeBusiness(JSONObject requestJson) {
        try {
            logger.info("======开始执行主数据信息同步========");
            return masterDataService.queryArchives(requestJson);
        }catch (Exception e){
            logger.info("======执行主数据同步失败:{}========",e.getMessage());
            e.printStackTrace();
        }
        return null;
    }
}
